import { Observable } from 'rxjs';
export declare class CachedObservable<T> {
    private cacheDurationSeconds;
    private observable;
    private replaySubject;
    private lastUpdatedSeconds;
    constructor(cacheDurationSeconds: number, observable: Observable<T>);
    /***
     * Resets the cache duration, so the next attempt will fetch new
     */
    reset(): void;
    /***
     * Refreshes (refetches) the observable
     */
    refresh(): void;
    getObservable(): Observable<T>;
}
