import { AbstractControl, FormGroup } from "@angular/forms";
/**
 * marks the form and all it's children, including other formGroups or controls
 * as touched
 * @param formGroup The form group to mark as touched
 */
export declare function markFormGroupAsTouched(formGroup: FormGroup): void;
/**
 * marks the form and all it's children, including other formGroups or controls
 * as untouched
 * @param formGroup The form group to mark as untouched
 */
export declare function markFormGroupAsUntouched(formGroup: FormGroup): void;
/**
 * marks the form and all it's children, including other formGroups or controls
 * as dirty
 * @param formGroup The form group to mark as untouched
 */
export declare function markFormGroupAsDirty(formGroup: FormGroup): void;
/**
 * marks the form and all it's children, including other formGroups or controls
 * as pristine
 * @param formGroup The form group to mark as pristine
 */
export declare function markFormGroupAsPristine(formGroup: FormGroup): void;
/**
 * marks the form and all it's children, including other formGroups or controls
 * as pending
 * @param formGroup The form group to mark as pending
 */
export declare function markFormGroupAsPending(formGroup: FormGroup): void;
export interface ControlWithName {
    control: AbstractControl;
    name: string;
}
/**
 * get all dirty controls inside a form
 * @param form The form in which to check for dirty controls
 */
export declare function getDirtyControls(form: FormGroup): ControlWithName[];
export declare class FormHelper {
    static markFormGroupAsTouched: typeof markFormGroupAsTouched;
    static getDirtyControls: typeof getDirtyControls;
    static markFormGroupAsUntouched: typeof markFormGroupAsUntouched;
    static markFormGroupAsDirty: typeof markFormGroupAsDirty;
    static markFormGroupAsPristine: typeof markFormGroupAsPristine;
    static markFormGroupAsPending: typeof markFormGroupAsPending;
}
