/**
 * Merges 2 objects in regards that properties that are not found on the
 * mainObject are looked up on the extendedObject
 * @param mainObject Properties are first read here. if e.g. toString()
 * exists on both objects it will be returned from this one
 * @param extendedObject This is the second object that extends the mainObject.
 * Properties not found on the  mainObject are read from this one
 */
export declare function createAutoIndexer(mainObject: any, extendedObject: any): any;
/***
 * Checks if the given object has a specific constructor name
 * e.g: hasConstructorName(new Date(), 'Date')
 * @param obj the object to check for if it has the correct constructor name
 */
export declare function hasConstructorName(obj: object, constructorName: string): boolean;
export declare class ObjectHelper {
    static hasConstructorName: typeof hasConstructorName;
    static createAutoIndexer: typeof createAutoIndexer;
}
