import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CachedObservableService {
    private dictionary;
    constructor();
    resetAll(): void;
    resetByKeyStartsWith(keyStartsWith: string): void;
    /***
     * Resets the cache duration, so the next attempt will fetch new
     */
    reset(key: string): void;
    /***
     * Refreshes (refetches) the observable
     */
    refresh(key: string): void;
    getOrCreate<T>(key: string, cacheDurationSeconds: number, observable: Observable<T>): Observable<T>;
    static ɵfac: i0.ɵɵFactoryDef<CachedObservableService, never>;
    static ɵprov: i0.ɵɵInjectableDef<CachedObservableService>;
}
