import { InjectionToken } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface ValueChange<T> {
    key: string;
    currentValue: T;
    previousValue: T;
}
export declare const KeyValueStoreInitialValue: InjectionToken<string>;
export declare class KeyValueStoreService<TStore> {
    protected initialStore: TStore;
    private readonly LOCALSTORAGE_KEY;
    private changes$;
    private store$;
    constructor(initialStore: TStore);
    getStore(): TStore;
    getStore$(): Observable<TStore>;
    getAllChanges$(): Observable<ValueChange<any>>;
    resetStore(): void;
    getValue$<T>(key: string, startWithCurrentValue?: boolean): Observable<T>;
    getValueChanges$<T>(key: string): Observable<ValueChange<T>>;
    protected getFromLocalStorage<T>(key: string): T;
    getValue<T>(key: string): T;
    setValue<T>(key: string, value: T): void;
    static ɵfac: i0.ɵɵFactoryDef<KeyValueStoreService<any>, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDef<KeyValueStoreService<any>>;
}
