import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface PubSubData {
    topic: any;
    message: any;
}
export declare class PubSubService {
    private subject;
    private static LOCALSTORAGE_KEY;
    constructor();
    /**
     * Publish across browser tabs
     * @param topic Name of the topic
     * @param message The message of the topic
     * @param includeSelf True if you want to publish also to the current
     * active tab (defaults to false)
     */
    publishCrossTab(topic: any, message?: any, includeSelf?: boolean): void;
    /**
     * Publish a topic inside the current browser tab
     * @param topic Name of the topic
     * @param message Message of the topic
     */
    publish(topic: any, message?: any): void;
    /**
     * Subscribe to a topics and receive messages
     * @param topics One or more topics to listen to
     */
    topic<T>(...topics: string[]): Observable<T>;
    static ɵfac: i0.ɵɵFactoryDef<PubSubService, never>;
    static ɵprov: i0.ɵɵInjectableDef<PubSubService>;
}
