import { AbstractControl, ValidatorFn } from '@angular/forms';
/***
 * Checks if a form control date is greater than another form control date
 * @param lowerDateControl the other control which holds the date that must be lower
 * @param formValue2DateFunc if the value of the form controls is not a date provide
 * this function to convert to date
 */
export declare function dateGreaterThan(lowerDateControl: AbstractControl, formValue2DateFunc?: (value: any) => Date): ValidatorFn;
/***
 * This validator function must  be used on the formGroup level, see
 * https://angular.io/guide/form-validation#cross-field-validation
 * @param controlNames the controlNames which at least on must  have a value
 * @param hasValueFunc Optional a function to tell if the control has a value or not
 */
export declare function anyRequired(controlNames: string[], hasValueFunc?: (c: AbstractControl) => boolean): ValidatorFn;
export declare class FormValidators {
    static anyRequired: typeof anyRequired;
    static dateGreaterThan: typeof dateGreaterThan;
}
